public class Section039_Type2 {
	public static void main(String[] args) {
		int i, j, k;
		int a[][] = new int[5][5];
		k = 0;
		for (i = 0; i <= 4; i++)
		{
			for (j = 4 - i; j <= 4; j++)
			{
				k++;
				a[i][j] = k;
			}
		}
		for (int x = 0; x <= 4; x++)
		{
			for (int y = 0; y <= 4; y++)
				System.out.printf("%3d", a[x][y]);
			System.out.printf("\n");
		}
	}
}
